<?php
if (access('loads_dir_create') && isset($_GET['act']) && $_GET['act'] == 'mkdir') {
    echo "<form class='list-group-item-null' action=\"?" . url("d=$l&amp;act=mkdir&amp;ok&amp;page=$page") . "\" method=\"post\">";
    echo lang('Название папки') . "<br />";
    echo "<input name='name' maxlength='100' required length='100' type='text' value='' class='form-control' />";
    echo "<br />\n";
    $doc->Button('btn btn-primary btn-sm', null, 'plus', 'Создать папку');
    $doc->Link('btn btn-secondary btn-sm', "?" . url("d=$l&amp;page=$page") . "", null, 'Отмена');
    echo "</form>";
}

if (access('loads_dir_rename') && isset($_GET['act']) && $_GET['act'] == 'rename' && $l != NULL) {
    echo "<form class='list-group-item-null' action=\"?" . url("d=$l&amp;act=rename&amp;ok&amp;page=$page") . "\" method=\"post\">";

    $dirname = preg_replace('#^.*/#', NULL, $dir_loads);
    if (is_file($dir_loads . '/.dirname')) {
        $dirname = trim(esc(file_get_contents($dir_loads . '/.dirname')));
    } elseif (function_exists('iconv')) {
        $dirname = iconv('windows-1251', 'utf-8', $dirname);
    }
    $value = $dirname;

    if (preg_match('#^([0-9]{1,3})_#', preg_replace('#^.*/#', NULL, $dir_loads), $num)) {
        $value = '(' . $num[1] . ')_' . $dirname;
    }

    $doc->Input('name', 'Название папки', 100, "$value");
    echo "<br />\n";
    $doc->Button('btn btn-primary btn-sm', null, 'pencil', 'Переименовать');
    $doc->Link('btn btn-secondary btn-sm', "?" . url("d=$l&amp;page=$page") . "", null, 'Отмена');

    echo "</form>";
}


if (access('loads_dir_mesto') && isset($_GET['act']) && $_GET['act'] == 'mesto' && $l != NULL) {
    echo "<form class=\"list-group-item-null\" action=\"?" . url("d=$l&amp;act=mesto&amp;ok&amp;page=$page") . "\" method=\"post\">";
    echo "Новый путь:<br />\n";
    echo "<select class=\"submit\" name=\"path\">";
    echo "<option value='..%2Fsys%2Floads%2Ffiles'>Корневая папка</option>\n";
    dirrs('../sys/loads/files', '../sys/loads/files');
    echo "</select><br />\n";

    echo "Новый для дополнительных файлов:*<br />\n";
    echo "<select class=\"submit\" name=\"pathh\">";
    echo "<option value='..%2Fsys%2Floads%2Ffiles_dop'>Корневая папка</option>\n";
    dirrs('../sys/loads/files_dop', '../sys/loads/files_dop');
    echo "</select><br />\n";
    echo "<input class=\"submit\" type=\"submit\" value=\"Переместить\" /><br />\n";
    echo "&laquo;<a href=\"?" . url("d=$l&amp;page=$page") . "\">Отмена</a><br />\n";
    echo "* Это папка для дополнительных файлов. Указывайте такую как и для Новый путь если не у кажите то дополнительные файлы работать не будут.<br />\n";
    echo "</form>";
}

if (access('loads_dir_delete') && isset($_GET['act']) && $_GET['act'] == 'delete' && $l != NULL) {

    echo "<div class='list-group-item-null'>";
    $dirname = preg_replace('#^.*/#', NULL, $dir_loads);
    if (is_file($dir_loads . '/.dirname')) {
        $dirname = trim(esc(file_get_contents($dir_loads . '/.dirname')));
    } elseif (function_exists('iconv')) {
        $dirname = iconv('windows-1251', 'utf-8', $dirname);
    }
    echo lang('Удалить текущую папку') . " ($dirname)?<br />\n";
    echo "<a href=\"?" . url("d=$l&amp;act=delete_ok&amp;ok&amp;page=$page") . "\" class='btn btn-success-outline btn-sm'>" . lang('Да') . "</a> \n";
    echo "<a href=\"?" . url("d=$l&amp;page=$page") . "\" class='btn btn-secondary-outline btn-sm'>" . lang('Нет') . "</a><br />\n";
    echo "</div>";
}

if (access('loads_file_upload') && isset($_GET['act']) && $_GET['act'] == 'upload' && $l != null) {
    echo "<form class='list-group-item-null' enctype=\"multipart/form-data\" action=\"?" . url("d=$l&amp;act=upload&amp;page=$page") . "\" method=\"post\">";

    $doc->Input('name', 'Название в загрузках');

    echo "Скрин 1:<br />\n";
    echo "<input name=\"scr1\" type=\"file\" class='btn btn-secondary-outline btn-sm' accept='image/*,image/gif,image/png,image/jpeg' /><br />\n";
    echo "Скрин 2:<br />\n";
    echo "<input name=\"scr2\" type=\"file\" class='btn btn-secondary-outline btn-sm' accept='image/*,image/gif,image/png,image/jpeg' /><br />\n";
    echo "Скрин 3:<br />\n";
    echo "<input name=\"scr3\" type=\"file\" class='btn btn-secondary-outline btn-sm' accept='image/*,image/gif,image/png,image/jpeg' /><br />\n";
    $doc->Textarea('opis', 'Описание', 256);
    $doc->Input('name2', 'Пояснение к файлу');

    echo "Файл [&lt;" . size_file($upload_max_filesize) . "]:<br />\n";
    echo "<input name=\"file\" class='btn btn-secondary-outline btn-sm' type=\"file\" /><br />\n";
    echo "<div class='bg-info'>* Параметры сервера позволяют выгружать файлы размером до " . size_file($upload_max_filesize) . "</div><br />\n";

    $doc->Checkbox('dop_file', 'Дополнительный файл', 1, "" . ($set['dop_file'] ? " checked='checked'" : null) . "");
    echo "<br />\n";
    $doc->Button('btn btn-success btn-sm', 'ok', 'upload', 'Выгрузить');
    $doc->Link('btn btn-secondary btn-sm', "?" . url("d=$l&amp;page=$page") . "", null, 'Отмена');

    echo "</form>";
}

if (access('loads_file_import') && isset($_GET['act']) && $_GET['act'] == 'import' && $l != null) {
    echo "<form class='list-group-item-null' enctype=\"multipart/form-data\" action=\"?" . url("d=$l&amp;act=import&amp;page=$page") . "\" method=\"post\">";

    $doc->Input('name', 'Название в загрузках');

    echo "Скрин 1:<br />\n";
    echo "<input name=\"scr1\" type=\"file\" class='btn btn-secondary-outline btn-sm' accept='image/*,image/gif,image/png,image/jpeg' /><br />\n";
    echo "Скрин 2:<br />\n";
    echo "<input name=\"scr2\" type=\"file\" class='btn btn-secondary-outline btn-sm' accept='image/*,image/gif,image/png,image/jpeg' /><br />\n";
    echo "Скрин 3:<br />\n";
    echo "<input name=\"scr3\" type=\"file\" class='btn btn-secondary-outline btn-sm' accept='image/*,image/gif,image/png,image/jpeg' /><br />\n";
    $doc->Textarea('opis', 'Описание', 256);
    $doc->Input('name2', 'Пояснение к файлу');

    echo "Файл [&lt;" . size_file($upload_max_filesize) . "]:<br />\n";
    echo "<input name=\"file\" class='form-control' type=\"text\" /><br />\n";
    echo "<div class='bg-info'>* Параметры сервера позволяют выгружать файлы размером до " . size_file($upload_max_filesize) . "</div><br />\n";

    $doc->Checkbox('dop_file', 'Дополнительный файл', 1, "" . ($set['dop_file'] ? " checked='checked'" : null) . "");
    echo "<br />\n";
    $doc->Button('btn btn-success btn-sm', 'ok', 'download', 'Импортировать');
    $doc->Link('btn btn-secondary btn-sm', "?" . url("d=$l&amp;page=$page") . "", null, 'Отмена');

    echo "</form>";
}

if (access('loads_file_upload') && isset($_GET['act']) && $_GET['act'] == 'uploadcol' && $l != null) {
    if (isset($_POST['k_forms'])) {
        $k_forms = intval($_POST['k_forms']);
    } elseif (isset($_SESSION['k_forms'])) {
        $k_forms = intval($_SESSION['k_forms']);
    } else {
        $k_forms = 1;
    }
    $_SESSION['k_forms'] = $k_forms;

    echo "<form class='list-group-item-null' enctype=\"multipart/form-data\" action=\"?" . url("d=$l&amp;act=uploadcol&amp;page=$page") . "\" method=\"post\">";
    echo lang("Количество выгружаемых файлов") . ":<br />\n";
    ?>
    <div class="input-group">
        <input type="text" name='k_forms' class="form-control" value="<?= $k_forms ?>">
        <span class="input-group-btn">
            <button class="btn btn-secondary">Показать</button>
        </span>
    </div>
    <?php
    for ($i = 0; $i < $k_forms; $i++) {
        echo "<span class='label label-default'>Файл (" . ($i + 1) . ")</span><br />";
        echo "Название в загрузках (не обязательно):<br />\n";
        echo "<input name=\"name_$i\" class='form-control' type=\"text\" />\n";
        echo "Скрин 1:<br />\n";
        echo "<input name=\"scr1_$i\" type=\"file\" class='btn btn-secondary-outline btn-sm' accept='image/*,image/gif,image/png,image/jpeg' /><br />\n";
        echo "Скрин 2:<br />\n";
        echo "<input name=\"scr2_$i\" type=\"file\" class='btn btn-secondary-outline btn-sm' accept='image/*,image/gif,image/png,image/jpeg' /><br />\n";
        echo "Скрин 3:<br />\n";
        echo "<input name=\"scr3_$i\" type=\"file\" class='btn btn-secondary-outline btn-sm' accept='image/*,image/gif,image/png,image/jpeg' /><br />\n";
        echo "Описание:<br />\n";
        echo "<textarea name='opis_$i' class='form-control'></textarea>\n";
        echo "Пояснение к файлу:<br />\n";
        echo "<input name=\"name2_$i\" type=\"text\" class='form-control'/>\n";
        echo "Файл [&lt;" . size_file($upload_max_filesize) . "]:<br />\n";
        echo "<input name=\"file_$i\" type=\"file\" class='btn btn-secondary-outline btn-sm' /><br />\n";
    }
    echo "<div class='bg-info'>* Параметры сервера позволяют выгружать файлы размером до " . size_file($upload_max_filesize) . "</div><br />\n";
    $doc->Button('btn btn-success btn-sm', 'ok', 'upload', 'Выгрузить');
    $doc->Link('btn btn-secondary btn-sm', "?" . url("d=$l&amp;page=$page") . "", null, 'Отмена');

    echo "</form>";
}

if (access('loads_file_import') && isset($_GET['act']) && $_GET['act'] == 'importcol' && $l != null) {
    if (isset($_POST['k_forms'])) {
        $k_forms = intval($_POST['k_forms']);
    } elseif (isset($_SESSION['k_forms'])) {
        $k_forms = intval($_SESSION['k_forms']);
    } else {
        $k_forms = 1;
    }
    $_SESSION['k_forms'] = $k_forms;


    echo "<form class='list-group-item-null' enctype=\"multipart/form-data\" action=\"?" . url("d=$l&amp;act=importcol&amp;page=$page") . "\" method=\"post\">";
    echo lang("Количество импортируемых файлов") . ":<br />\n";
    ?>
    <div class="input-group">
        <input type="text" name='k_forms' class="form-control" value="<?= $k_forms ?>">
        <span class="input-group-btn">
            <button class="btn btn-secondary">Показать</button>
        </span>
    </div>
    <?php
    for ($i = 0; $i < $k_forms; $i++) {
        echo "<span class='label label-default'>Файл (" . ($i + 1) . ")</span><br />";
        echo "Название в загрузках (не обязательно):<br />\n";
        echo "<input name=\"name_$i\" class='form-control' type=\"text\" />\n";
        echo "Путь к скрину 1:<br />\n";
        echo "<input name=\"scr1_$i\" type=\"text\" class='form-control' />\n";
        echo "Путь к скрину 2:<br />\n";
        echo "<input name=\"scr2_$i\" type=\"text\" class='form-control' />\n";
        echo "Путь к скрину 3:<br />\n";
        echo "<input name=\"scr3_$i\" type=\"text\" class='form-control' />\n";
        echo "Описание:<br />\n";
        echo "<textarea name='opis_$i' class='form-control'></textarea>\n";
        echo "Пояснение к файлу:<br />\n";
        echo "<input name=\"name2_$i\" type=\"text\" class='form-control'/>\n";
        echo "Путь к файлу [&lt;" . size_file($upload_max_filesize) . "]:<br />\n";
        echo "<input name=\"file_$i\" type=\"text\" class='form-control' />\n";
    }
    echo "<br />";
    $doc->Button('btn btn-success btn-sm', 'ok', 'upload', 'Импортировать');
    $doc->Link('btn btn-secondary btn-sm', "?" . url("d=$l&amp;page=$page") . "", null, 'Отмена');

    echo "</form>";
}
if (access('loads_dir_create') || access('loads_dir_rename') && $l != null || access('loads_dir_mesto') && $l != null || access('loads_dir_delete') && $l != null || access('loads_file_upload') && $l != null || access('loads_file_import') && $l != null) {
    if (access('loads_dir_create')) {
        echo "<a href=\"?" . url("d=$l&amp;act=mkdir&amp;page=$page") . "\" class='list-group-item-null list-group-item-info'><i class='fa fa-folder-o fa-fw'></i> " . lang('Создать папку') . "</a>\n";
    }
    if ($l != NULL) {
        
        if (access('loads_file_upload') && $l != null) {
            echo "<a href=\"?" . url("d=$l&amp;act=upload&amp;page=$page") . "\" class='list-group-item-null list-group-item-info'><i class='fa fa-upload fa-fw'></i> " . lang('Загрузить файл') . "</a> \n";
        }
        if (access('loads_file_import') && $l != null) {
            echo "<a href=\"?" . url("d=$l&amp;act=import&amp;page=$page") . "\" class='list-group-item-null list-group-item-info'><i class='fa fa-download fa-fw'></i> " . lang('Импорт файла') . "</a>\n";
        }
        if (access('loads_file_upload') && $l != null) {
            echo "<a href=\"?" . url("d=$l&amp;act=uploadcol&amp;page=$page") . "\" class='list-group-item-null list-group-item-info'><i class='fa fa-upload fa-fw'></i> " . lang('Массовая загрузка') . "</a>\n";
        }
        if (access('loads_file_import') && $l != null) {
            echo "<a href=\"?" . url("d=$l&amp;act=importcol&amp;page=$page") . "\" class='list-group-item-null list-group-item-info'><i class='fa fa-download fa-fw'></i> " . lang('Массовый импорт') . "</a>\n";
        }
    }
}
